SDF2FPS(1)

NAME
sdf2fps - sdf2fps

DESCRIPTION
usage: sdf2fps [-h] [--id-tag TAG] [--fp-tag TAG] [--num-bits INT]

    [--errors {strict,report,ignore}] [-o FILENAME] [--software TEXT] [--type TEXT] [--decompress METHOD] [--binary] [--binary-msb] [--hex] [--hex-lsb] [--hex-msb] [--base64] [--cactvs] [--daylight] [--decoder DECODER] [--pubchem] [filenames [filenames ...]]

Extract a fingerprint tag from an SD file and generate FPS fingerprints

  positional arguments:

filenames
    input SD files (default is stdin)

  optional arguments:

-h, --help
    show this help message and exit

--id-tag TAG
    get the record id from TAG instead of the first line of the record

--fp-tag TAG
    get the fingerprint from tag TAG (required)

--num-bits INT
    use the first INT bits of the input. Use only when the last 1-7 bits of the last byte are not part of the fingerprint. Unexpected errors will occur if these bits are not all zero.

--errors {strict,report,ignore}
    how should structure parse errors be handled? (default=strict)

-o FILENAME, --output FILENAME
    save the fingerprints to FILENAME (default=stdout)

--software TEXT
    use TEXT as the software description

--type TEXT
    use TEXT as the fingerprint type description

--decompress METHOD
    use METHOD to decompress the input (default='auto', 'none', 'gzip', 'bzip2')

  Fingerprint decoding options:

--binary
    Encoded with the characters '0' and '1'. Bit #0 comes first. Example: 00100000 encodes the value 4

--binary-msb
    Encoded with the characters '0' and '1'. Bit #0 comes last. Example: 00000100 encodes the value 4

--hex
    Hex encoded. Bit #0 is the first bit (1<<0) of the first byte. Example: 01f2 encodes the value \x01\xf2 = 498

--hex-lsb
    Hex encoded. Bit #0 is the eigth bit (1<<7) of the first byte. Example: 804f encodes the value \x01\xf2 = 498

--hex-msb
    Hex encoded. Bit #0 is the first bit (1<<0) of the last byte. Example: f201 encodes the value \x01\xf2 = 498

--base64
    Base-64 encoded. Bit #0 is first bit (1<<0) of first byte. Example: AfI= encodes value \x01\xf2 = 498

--cactvs
    CACTVS encoding, based on base64 and includes a version and bit length

--daylight
    Daylight encoding, which is is base64 variant

--decoder DECODER
    import and use the DECODER function to decode the fingerprint

  shortcuts:

--pubchem
    decode CACTVS substructure keys used in PubChem. Same as --software=CACTVS/unknown --type 'CACTVSE_SCREEN/1.0 extended=2' --fptag=PUBCHEM_CACTVS_SUBSKEYS --cactvs